Callisto4Bootloader: ARK/platform_encoder.h File Reference

Callisto4Bootloader

Data Structures | Functions | Variables
platform_encoder.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Data Structures

struct | stFoundType_t
struct | stPayloadBuffer_t
struct | stPayloadEncoder_t
struct | stPayloadDecoder_t

## Functions

const stPayloadEncoder_t * | PayloadEncoder_Get (uint16_t ui16MediaType)
const stPayloadDecoder_t * | PayloadDecoder_Get (uint16_t ui16MediaType)

## Variables

const stPayloadEncoder_t | stJSONEncoder
const stPayloadDecoder_t | stJSONDecoder
const stPayloadEncoder_t | stCBOREncoder
const stPayloadDecoder_t | stCBORDecoder

## Function Documentation

## ◆ PayloadDecoder_Get()

const stPayloadDecoder_t* PayloadDecoder_Get | ( | uint16_t | ui16MediaType | ) |

Get the decoder implementing a given CoAP content type

Parameters

  [in] | ui16MediaType | CoAP content type (50 = JSON, 60 = CBOR)

Returns
  NULL if content type not recognised, else a pointer to an decoder

Definition at line 40 of file platform_encoder.c.

References NULL, stCBORDecoder, and stJSONDecoder.

Referenced by PUT_Callback().

## ◆ PayloadEncoder_Get()

const stPayloadEncoder_t* PayloadEncoder_Get | ( | uint16_t | ui16MediaType | ) |

Get the encoder implementing a given CoAP content type

Parameters

  [in] | ui16MediaType | CoAP content type (50 = JSON, 60 = CBOR)

Returns
  NULL if content type not recognised, else a pointer to an encoder

Definition at line 18 of file platform_encoder.c.

References NULL, stCBOREncoder, and stJSONEncoder.

Referenced by GET_Callback().

## Variable Documentation

## ◆ stCBORDecoder

const stPayloadDecoder_t stCBORDecoder

Definition at line 333 of file platform_encoder_cbor.c.

Referenced by PayloadDecoder_Get().

## ◆ stCBOREncoder

const stPayloadEncoder_t stCBOREncoder

Definition at line 316 of file platform_encoder_cbor.c.

Referenced by PayloadEncoder_Get().

## ◆ stJSONDecoder

const stPayloadDecoder_t stJSONDecoder

Definition at line 533 of file platform_encoder_json.c.

Referenced by PayloadDecoder_Get().

## ◆ stJSONEncoder

const stPayloadEncoder_t stJSONEncoder

Definition at line 516 of file platform_encoder_json.c.

Referenced by META_Callback(), and PayloadEncoder_Get().